Loading...
Searching...
No Matches
Halide::Runtime::Internal::Cuda::CUDA_MEMCPY3D_st Struct Reference

`#include <mini_cuda.h>`

## Public Attributes

size_t | srcXInBytes
| Source X in bytes.
size_t | srcY
| Source Y.
size_t | srcZ
| Source Z.
size_t | srcLOD
| Source LOD.
CUmemorytype | srcMemoryType
| Source memory type (host, device, array).
const void * | srcHost
| Source host pointer.
CUdeviceptr | srcDevice
| Source device pointer.
CUarray | srcArray
| Source array reference.
void * | reserved0
| Must be NULL.
size_t | srcPitch
| Source pitch (ignored when src is array).
size_t | srcHeight
| Source height (ignored when src is array; may be 0 if Depth==1).
size_t | dstXInBytes
| Destination X in bytes.
size_t | dstY
| Destination Y.
size_t | dstZ
| Destination Z.
size_t | dstLOD
| Destination LOD.
CUmemorytype | dstMemoryType
| Destination memory type (host, device, array).
void * | dstHost
| Destination host pointer.
CUdeviceptr | dstDevice
| Destination device pointer.
CUarray | dstArray
| Destination array reference.
void * | reserved1
| Must be NULL.
size_t | dstPitch
| Destination pitch (ignored when dst is array).
size_t | dstHeight
| Destination height (ignored when dst is array; may be 0 if Depth==1).
size_t | WidthInBytes
| Width of 3D memory copy in bytes.
size_t | Height
| Height of 3D memory copy.
size_t | Depth
| Depth of 3D memory copy.

## Detailed Description

Definition at line 202 of file mini_cuda.h.

## Member Data Documentation

## srcXInBytes

size_t Halide::Runtime::Internal::Cuda::CUDA_MEMCPY3D_st::srcXInBytes

Source X in bytes.

Definition at line 203 of file mini_cuda.h.

## srcY

size_t Halide::Runtime::Internal::Cuda::CUDA_MEMCPY3D_st::srcY

Source Y.

Definition at line 204 of file mini_cuda.h.

## srcZ

size_t Halide::Runtime::Internal::Cuda::CUDA_MEMCPY3D_st::srcZ

Source Z.

Definition at line 205 of file mini_cuda.h.

## srcLOD

size_t Halide::Runtime::Internal::Cuda::CUDA_MEMCPY3D_st::srcLOD

Source LOD.

Definition at line 206 of file mini_cuda.h.

## srcMemoryType

CUmemorytype Halide::Runtime::Internal::Cuda::CUDA_MEMCPY3D_st::srcMemoryType

Source memory type (host, device, array).

Definition at line 207 of file mini_cuda.h.

## srcHost

const void* Halide::Runtime::Internal::Cuda::CUDA_MEMCPY3D_st::srcHost

Source host pointer.

Definition at line 208 of file mini_cuda.h.

## srcDevice

CUdeviceptr Halide::Runtime::Internal::Cuda::CUDA_MEMCPY3D_st::srcDevice

Source device pointer.

Definition at line 209 of file mini_cuda.h.

## srcArray

CUarray Halide::Runtime::Internal::Cuda::CUDA_MEMCPY3D_st::srcArray

Source array reference.

Definition at line 210 of file mini_cuda.h.

## reserved0

void* Halide::Runtime::Internal::Cuda::CUDA_MEMCPY3D_st::reserved0

Must be NULL.

Definition at line 211 of file mini_cuda.h.

## srcPitch

size_t Halide::Runtime::Internal::Cuda::CUDA_MEMCPY3D_st::srcPitch

Source pitch (ignored when src is array).

Definition at line 212 of file mini_cuda.h.

## srcHeight

size_t Halide::Runtime::Internal::Cuda::CUDA_MEMCPY3D_st::srcHeight

Source height (ignored when src is array; may be 0 if Depth==1).

Definition at line 213 of file mini_cuda.h.

## dstXInBytes

size_t Halide::Runtime::Internal::Cuda::CUDA_MEMCPY3D_st::dstXInBytes

Destination X in bytes.

Definition at line 215 of file mini_cuda.h.

## dstY

size_t Halide::Runtime::Internal::Cuda::CUDA_MEMCPY3D_st::dstY

Destination Y.

Definition at line 216 of file mini_cuda.h.

## dstZ

size_t Halide::Runtime::Internal::Cuda::CUDA_MEMCPY3D_st::dstZ

Destination Z.

Definition at line 217 of file mini_cuda.h.

## dstLOD

size_t Halide::Runtime::Internal::Cuda::CUDA_MEMCPY3D_st::dstLOD

Destination LOD.

Definition at line 218 of file mini_cuda.h.

## dstMemoryType

CUmemorytype Halide::Runtime::Internal::Cuda::CUDA_MEMCPY3D_st::dstMemoryType

Destination memory type (host, device, array).

Definition at line 219 of file mini_cuda.h.

## dstHost

void* Halide::Runtime::Internal::Cuda::CUDA_MEMCPY3D_st::dstHost

Destination host pointer.

Definition at line 220 of file mini_cuda.h.

## dstDevice

CUdeviceptr Halide::Runtime::Internal::Cuda::CUDA_MEMCPY3D_st::dstDevice

Destination device pointer.

Definition at line 221 of file mini_cuda.h.

## dstArray

CUarray Halide::Runtime::Internal::Cuda::CUDA_MEMCPY3D_st::dstArray

Destination array reference.

Definition at line 222 of file mini_cuda.h.

## reserved1

void* Halide::Runtime::Internal::Cuda::CUDA_MEMCPY3D_st::reserved1

Must be NULL.

Definition at line 223 of file mini_cuda.h.

## dstPitch

size_t Halide::Runtime::Internal::Cuda::CUDA_MEMCPY3D_st::dstPitch

Destination pitch (ignored when dst is array).

Definition at line 224 of file mini_cuda.h.

## dstHeight

size_t Halide::Runtime::Internal::Cuda::CUDA_MEMCPY3D_st::dstHeight

Destination height (ignored when dst is array; may be 0 if Depth==1).

Definition at line 225 of file mini_cuda.h.

## WidthInBytes

size_t Halide::Runtime::Internal::Cuda::CUDA_MEMCPY3D_st::WidthInBytes

Width of 3D memory copy in bytes.

Definition at line 227 of file mini_cuda.h.

## Height

size_t Halide::Runtime::Internal::Cuda::CUDA_MEMCPY3D_st::Height

Height of 3D memory copy.

Definition at line 228 of file mini_cuda.h.

## Depth

size_t Halide::Runtime::Internal::Cuda::CUDA_MEMCPY3D_st::Depth

Depth of 3D memory copy.

Definition at line 229 of file mini_cuda.h.

The documentation for this struct was generated from the following file:

- src/runtime/mini_cuda.h